image: php:8.1

# $PRODUCTION_SSH_USER
# $PRODUCT_SSH_KEY
# $PRODUCTION_SSH_HOST
# $PRODUCTION_FOLDER
# $PRODUCTION_FOLDER

pipelines:
  branches:
    master:
      - step:
          name: Deploy to NAME
          script:
            - pipe: atlassian/ssh-run:0.6.1
              variables:
                SSH_USER: '$PRODUCTION_SSH_USER'
                SSH_KEY: '$PRODUCT_SSH_KEY'
                MODE: 'command'
                SERVER: '$PRODUCTION_SSH_HOST'
                COMMAND: 'cd $PRODUCTION_FOLDER && sh .deploy/git-update.sh master && sh .deploy/deploy_staging_warden.sh $PRODUCTION_FOLDER > /tmp/deploy_log/deploy$(date +"%Y-%m-%d_%H:%I:%S").log'